<?php

// Returns a Javascript object containing the details about the dungeon:
//  width    - width of the dungeon in tiles
//  height   - height of the dungeon in tiles
//  numGems  - number of gems to place at the start
//  map      - 2D map of the dungeon
function getDungeonJSON($filename)
{
    $fp = fopen($filename, "r");
    fscanf($fp, "%d %d ", $width, $height);
    fscanf($fp, "%d", $numGems);
    
    for ($y = 0; $y < $height; $y++)
    {
        $line = trim(fgets($fp, 4096));
        
        $codes = explode(" ", $line);
        for ($x = 0; $x < count($codes); $x++)
            $grid[$x][$y] = $codes[$x];
    }
    fclose($fp);   
    
    echo '{"width"   : "' . $width   . '",';
    echo '"height"  : "' . $height  . '",';
    echo '"numGems" : "' . $numGems . '",';
    echo '"map"     : ';
    
    echo '[';
    for ($x = 0; $x < $width; $x++)
    {
        if ($x > 0)
            echo ',';                     
        echo '[';       
        for ($y = 0; $y < $height; $y++)
        {
            if ($y > 0)
                echo ',';
            echo '"' . $grid[$x][$y] . '"';
        }
        echo ']';
    }    
    echo ']';
    echo '}';
}

?>

<!doctype html>
<html>
    <head>
        <title>Gem Dungeon</title>
        <meta charset="utf-8">
        <script>
            var dungeon = <?php getDungeonJSON($_GET["dungeon"]); ?>;
        </script>
        
    </head>    
    <body>
    </body>
</html>
